#!/usr/bin/ruby

require 'mysql'

require 'rubygems'
require 'active_support'


begin
  dbh = Mysql.real_connect('localhost', 'testuser', 'testuser', 'unicode_test')
  
  dbh.query("INSERT INTO unicode_test VALUES ('Müller')")
  
  res = dbh.query("SELECT * FROM unicode_test")
  while row = res.fetch_row
    str = row[0]
    
    puts "Result: #{str}"
    if str.is_utf8?
      puts "Result is valid UTF-8"
    else
      puts "Result is NOT valid UTF-8"
    end
  end
rescue Mysql::Error => e
  puts "Error code: #{e.errno}"
ensure
  dbh.close if dbh
end
